import { Stack, StackProps } from 'aws-cdk-lib';
import { Construct } from 'constructs';
import { ResolvedApplicationProps } from './applicationProps';
export interface CIStackProps extends StackProps, ResolvedApplicationProps {
}
export declare class CIStack extends Stack {
    constructor(scope: Construct, id: string, props: CIStackProps);
    private createSlackNotifications;
    private createSlackChannelConfiguration;
}
